[project]
name = "cs307"
version = "0.3.0"
description = "A virtual environment for use in CS 307 @ Illinois."
requires-python = "==3.13.*"
dependencies = [
    "joblib>=1.5.1",
    "jupyter>=1.1.1",
    "matplotlib>=3.10.5",
    "numpy>=2.3.2",
    "palmerpenguins>=0.1.4",
    "pandas>=2.3.2",
    "pyarrow>=21.0.0",
    "scikit-learn>=1.7.1",
    "scipy>=1.16.1",
    "seaborn>=0.13.2",
    "torch>=2.9.1",
    "torchvision>=0.24.1",
    "ucimlrepo>=0.0.7",
]
